function displayFibrilStats(plothandle, orientationdata, wavelengthdata, unitsymbol)

% Copyright 2015 Kimmo Kartasalo
% Tampere University of Technology, Tampere, Finland
% http://www.tut.fi/cytospectre
% Email: kimmo.kartasalo@tut.fi
% 
% This file is part of CytoSpectre.
% 
% CytoSpectre is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% CytoSpectre is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with CytoSpectre.  If not, see <http://www.gnu.org/licenses/>.

% If there is no data to show, just show the text.
if isempty(orientationdata)
    set(plothandle,'String',{
    'Mean orientation: '; ...
    'Circular variance: '; ...
    'Angular standard deviation: '; ...
    'Circular skewness: '; ...
    'Circular kurtosis: '; ...
    ' '; ...
    'Wavelength mean: '; ...
    'Wavelength median: '; ...
    'Wavelength mode: '; ...
    'Wavelength standard deviation: '});
    return;
end

% Show estimated values.
set(plothandle,'String',{
['Mean orientation: ',num2str(orientationdata.mean),char(176)]; ...
['Circular variance: ',num2str(orientationdata.cvar)]; ...
['Angular standard deviation: ',num2str(orientationdata.astd)]; ...
['Circular skewness: ',num2str(orientationdata.cskew)]; ...
['Circular kurtosis: ',num2str(orientationdata.ckurt)]; ...
' '; ...
['Wavelength mean: ',num2str(wavelengthdata.mean),' ',unitsymbol]; ...
['Wavelength median: ',num2str(wavelengthdata.median),' ',unitsymbol]; ...
['Wavelength mode: ',num2str(wavelengthdata.max),' ',unitsymbol]; ...
['Wavelength standard deviation: ',num2str(wavelengthdata.std),' ',unitsymbol]});
