function plotCellBorder(plothandle, inputimage, celllabels, celltoplot)

% Copyright 2015 Kimmo Kartasalo
% Tampere University of Technology, Tampere, Finland
% http://www.tut.fi/cytospectre
% Email: kimmo.kartasalo@tut.fi
% 
% This file is part of CytoSpectre.
% 
% CytoSpectre is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% CytoSpectre is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with CytoSpectre.  If not, see <http://www.gnu.org/licenses/>.

% If there are no identified cells, just show the image.
if all(celllabels(:) == 0);
    imshow(inputimage,[],'Parent',plothandle);
    return;
end

% Show the image.
imshow(inputimage,[],'Parent',plothandle);
axis ij;
hold(plothandle,'on');

% Plot the selected cell's border in red and other borders in white.
allborders = bwboundaries(celllabels);
for i = 1:length(allborders)
    if i == celltoplot
        plot(plothandle,allborders{i}(:,2),allborders{i}(:,1),'red','LineWidth',1);
    else
        plot(plothandle,allborders{i}(:,2),allborders{i}(:,1),'white','LineWidth',1);
    end
end
