function plotOrientationPolar(plothandle, orientationdata)

% Copyright 2015 Kimmo Kartasalo
% Tampere University of Technology, Tampere, Finland
% http://www.tut.fi/cytospectre
% Email: kimmo.kartasalo@tut.fi
% 
% This file is part of CytoSpectre.
% 
% CytoSpectre is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% CytoSpectre is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with CytoSpectre.  If not, see <http://www.gnu.org/licenses/>.

% If there is no data to plot, show empty plot.
if isempty(orientationdata)
    polar(plothandle,[],[]);
    xlabel(plothandle,'Angle (degrees)');
    return;
end

% Polar plot. Add first values again to the end to avoid gap near
% 0/360 degrees in the plot.
angles_plot = [orientationdata.angles; orientationdata.angles+pi; orientationdata.angles(1)];
orientDistribution_plot = [orientationdata.distribution; orientationdata.distribution; orientationdata.distribution(1)];
% Normalize for easier viewing.
orientDistribution_plot = orientDistribution_plot/max(orientDistribution_plot);
polarhandle = polar(plothandle,angles_plot,orientDistribution_plot,'k');
set(polarhandle,'linewidth',2);
xlabel(plothandle,'Angle (degrees)');